System.web

Aug 19, 2013 at 10:36 PM
Whether I compile the library myself or use the dll included in the 13.08.05 zip file, I get the following error in my project:

Warning 1 The referenced assembly "System.Net.FtpClient" could not be resolved because it has a dependency on "System.Web, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" which is not in the currently targeted framework ".NETFramework,Version=v4.0,Profile=Client". Please remove references to assemblies not in the targeted framework or consider retargeting your project. VML

and then three more errors about the namespace FtpClient couldn't be found.

Since I'm not finding posts about others having this issue, I'm presuming I'm messed-up somehow. Please point me in the right direction.

Chuck
Coordinator
Aug 19, 2013 at 10:47 PM
Change your project to use the full .net 4 profile instead of client and it should clear up the problem.

Sent from my iPhone

Aug 19, 2013 at 11:24 PM
DOH!

I checked on that while trying to build the FtpClient library but not my own project.

Thanks. I knew it would be something simple.
Coordinator
Aug 20, 2013 at 8:27 PM
No problem